For the complete documentation index, see llms.txt. This page is also available as Markdown.

Order Credit Data

Retrieving Credit Data for Consumers from Bloom's Data Access API

Creating a Credit Data Order

After creating a consumer (see Create Consumer for reference as how to register a consumer), you can start ordering credit data for that consumer using a sku (sku name in the request) and a portfolio (with portfolio_id in the request).

Note:

If you aren't sure about what portfolio or sku you may have, you can reach out to Bloom Credit and we'll help you understand them.

Credit Data can be ordered synchronously (blocking) or asynchronously (non-blocking), and the HTTP request will either return immediately when ordering credit data asynchronously, or the HTTP request will wait until the entire credit data order completes in a terminal state.

Please refer to Order States for more information on how the order can be processed.

Order Credit Data Sample Request

You can see an example of a POST request made to the Order Credit Data endpoint below:

curl --location --request POST 'https://sandbox.bloomcredit.dev/v2/data-access/orders/' \
--header 'Authorization: Bearer <ACCESS_TOKEN_WILL_BE_HERE>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "data": {
        "type": "order",
        "attributes": {
            "consumer_id": "<CONSUMER_ID>",
            "portfolio_id": "<ACCOUNT_ID_WILL_BE_HERE>",
            "sku": "equifax-gold-hard-fico"
        }
    }
}'
POST /v2/data-access/orders/ HTTP/1.1
Host: sandbox.bloomcredit.dev
Authorization: Bearer <ACCESS_TOKEN_WILL_BE_HERE>
Content-Type: application/json
Content-Length: 541

{
   "data": {
        "type": "order",
        "attributes": {
            "consumer_id": "<CONSUMER_ID>",
            "portfolio_id": "<ACCOUNT_ID_WILL_BE_HERE>",
            "sku": "equifax-gold-hard-fico"
        }
    }
}

SKU

The sku is the name of the SKU bundle you wish to pull data on, they come prepacked for usage of Bloom's API and need to be provided with the request.

Order Credit Data Sample Response

You can see an example of a response from the Order Credit Data endpoint below:

Rejected Order response
Async Order response
Get Success Order response
API Documentation

v1 API

If you're looking for our previous Data Access API version, see Version 1 Documentation

v2 API

For API documentation regarding orders, see Version 2 API Documentation

Possible causes for REJECTED response

Possible causes for REJECTED response

Status code 10: SKU not enabled. The given SKU is not enabled for the provided portfolio.

Status code 11: Invalid consumer id. The consumer ID is not valid or doesn't exists.

Status code 12: Invalid portfolio id. The portfolio ID is not valid or doesn't exists.

Status code 13: minor. The consumer ID provided belongs to a minor.

Checking order status

After submitting an order for consumer data, you can then check order status by just passing using the order_id that we originally provided to you.

Get order status sample request

You can see an example of a GET request made to the required Order Credit Data endpoint below:

Get order status sample response

You can see an example of the response with the details of the order here:

API Documentation

v1 API

If you're looking for our previous Data Access API version, see Version 1 Documentation

v2 API

For API documentation regarding orders, see Version 2 API Documentation

Last updated

Was this helpful?